;;;-*- Mode: Lisp; Package: CL-USER -*-
;;; Ystok-Local-Time - LispWorks system definition
;;; Copyright (c) 2002-2014 Dr. Dmitriy Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(in-package :cl-user)

;(pushnew :debug *features*)
;(removef *features* :debug)
;(yl:debug-on :lt) (yl:debug-off :lt)

;(load #P"PROJECTS:ylib;ffc;defsys")
;(lw:compile-system 'YSTOK-FFC :load t)
;(load #P"PROJECTS:ylib;defsys")
;(lw:compile-system 'YSTOK-LIBRARY :load t)
;#+debug (toggle-source-debugging t)

(defsystem LOCAL-TIME (:object-pathname (lw:current-pathname
	#+(and (not German) (not Russian) (not debug) (not ys-product))	"bin/"
	#+(and (not German) (not Russian) debug)			"bin/debug/"
	#+(and (not German) (not Russian) (not debug) ys-product)	"bin/product/"
	#+(and German (not debug))					"bin/de/"
	#+(and German debug)						"bin/de/debug/"
	#+(and Russian (not debug) (not ys-product))			"bin/ru/"
	#+(and Russian debug)						"bin/ru/debug/"
	#+(and Russian (not debug) ys-product)				"bin/ru/product/"))
 :members
 ((YSTOK-FFC     :type :system)
  (YSTOK-LIBRARY :type :system)
  "package"
  ("lang/ru"        :features :Russian)
  ("lang/de"        :features :German)
  "basics"
  "libc-ffi"
  ("win32-ffi"      :features :win32)
  "timezone"
  "core"
  "duration"
  "parse-time"
  "print-time"
  "operations"
  ("interval"       :features :ys-product)
  ("parse-interval" :features :ys-product)
  "utils")
 :rules ((:in-order-to :compile :all (:requires (:load :previous)))
          (:in-order-to :load :all (:requires (:load :previous)))))

#+ys-product 
(ys:defmodule :local-time (1 2 :abbrev "tim") :depends-on :ylib)

;(compile-system 'LOCAL-TIME :load t)
