;;; -*- Mode: Lisp; Syntax: Common-Lisp; Base: 10; Encoding: (win32:code-page :id 1251) -*-
;;; Ystok-Local-Time - - Russian-related functions and translations of hard-wired strings
;;; Copyright (c) 2002-2014 Dr. Dmitry Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(in-package :ystok.local-time)

;;; basics.lisp

(defnative "Bad~@[ ~A~] fragment of local-time: ~S"
           "~@[  ~A~]       : ~S")
(defnative "Bad~@[ ~A~] fragment of duration: ~S"
           "~@[  ~A~]     : ~S")

;;; print-time.lisp

(defun d-long-princ-to-string (date &optional week-day (year t) (day t))
 ;;;        , e.g. "4 , "
  ;; Args: week-day If true, print week-day name after comma.
  ;;       year	    If true, print year.
  ;;	   day      If false, print only month and year.
  (flet ((%concat (y month d &optional week-day-number)
           (let ((month-name (month-name month)))
             (format nil
                     "~@[~d ~]~a~@[ ~4,'0d .~]~@[, ~a~]"
                     (and day d)
                     (if day
                         (let* ((name (yl:locale-string-downcase month-name))
                                (length (length name))
                                (last (schar name (1- length))))
                           (if (or (char= last #\) (char= last #\))
                               (string-append (subseq name 0 (1- length)) #\)
                               (string-append name #\)))
                         month-name)
                     (and year y)
                     (and week-day-number (svref *weekday-names* (1- week-day-number)))))))
    (if (and day week-day)
        (if (local-time-p date)
            (multiple-value-bind (msec seconds minutes hours day month year
                                  week-day-number)
                (decode-as-local date)
              (declare (ignore msec seconds minutes hours))
              (%concat year month day week-day-number))
            (multiple-value-bind (year month d)
                (decode-date date)
              (%concat year month d (lt:week-day-number date))))
        (multiple-value-call #'%concat (lt:decode-date date)))))
