;;; Ystok-Local-Time - ASDF System definition
;;; Copyright (c) 2002-2014 Dr. Dmitriy Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(in-package :cl-user)

(asdf:defsystem ystok-local-time
  :version "1.2.014"
  :description "Extension of LOCAL-TIME concept proposed by Erik Naggum"
  :maintainer "Dmitry Ivanov http://lisp.ystok.ru/"
  :licence "LLGPL"
  #+asdlite #+asdlite
  :output-pathname (asd:current-location "bin/")
  :depends-on (ystok-ffc ystok-library)
  :serial t
  :components 
  ((:file "package")
   (:module "lang"
    :components
    (#+German  (:file "de")
     #+Russian (:file "ru")
     #+(and Russian ys-product) (:file "ru-product")))
   (:file "basics")
   (:file "libc-ffi")
   #+win32 (:file "win32-ffi")
   (:file "timezone")
   (:file "core")
   (:file "duration")
   (:file "parse-time")
   (:file "print-time")
   (:file "operations")
   #+ys-product (:file "interval")
   #+ys-product (:file "parse-interval")
   (:file "utils")))

;(load #P"PROJECTS:ylib;local-time;ystok-local-time.asd")
;(asd:operate :load 'ystok-local-time)
;(asdf:operate 'asdf:load-op 'ystok-local-time)
